Collapse the table of content
Expand the table of content
Expand Minimize

OpCodes.Ldelem_R4 Field

Loads the element with type float32 at a specified array index onto the top of the evaluation stack as type F (float).

Namespace:  System.Reflection.Emit
Assembly:  mscorlib (in mscorlib.dll)

public static readonly OpCode Ldelem_R4

The following table lists the instruction's hexadecimal and Microsoft Intermediate Language (MSIL) assembly format, along with a brief reference summary:


Assembly Format




Loads the element with type float32 at index onto the top of the stack as a type F.

The stack transitional behavior, in sequential order, is:

  1. An object reference array is pushed onto the stack.

  2. An index value index is pushed onto the stack.

  3. index and array are popped from the stack; the value stored at position index in array is looked up.

  4. The value is pushed onto the stack.

The ldelem.r4 instruction loads the value of the element with index index (type native int) in the zero-based one-dimensional array array and places it on the top of the stack. Arrays are objects and hence represented by a value of type O.

The return value for ldelem.r4 is float32.

Floating-point values are converted to type F when loaded onto the evaluation stack.

NullReferenceException is thrown if array is a null reference.

ArrayTypeMismatchException is thrown if array does not hold elements of the required type.

IndexOutOfRangeException is thrown if index is negative, or larger than the bound of array.

The following Emit method overload can use the ldelem.r4 opcode:

  • ILGenerator.Emit(OpCode)

Windows 7, Windows Vista, Windows XP SP2, Windows XP Media Center Edition, Windows XP Professional x64 Edition, Windows XP Starter Edition, Windows Server 2008 R2, Windows Server 2008, Windows Server 2003, Windows Server 2000 SP4, Windows Millennium Edition, Windows 98

The .NET Framework and .NET Compact Framework do not support all versions of every platform. For a list of the supported versions, see .NET Framework System Requirements.

.NET Framework

Supported in: 3.5, 3.0, 2.0, 1.1, 1.0
Was this page helpful?
(1500 characters remaining)
Thank you for your feedback

Community Additions

© 2015 Microsoft